gnutls_transport_set_errno(3)

NAME
gnutls_transport_set_errno - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_errno(gnutls_session_t session, int err);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int err
    error value to store in session-specific errno variable.

DESCRIPTION
Store err in the session-specific errno variable. Useful values for err are EINTR, EAGAIN and EMSGSIZE, other values are treated will be treated as real errors in the push/pull function. This function is useful in replacement push and pull functions set by gnutls_transport_set_push_function() and gnutls_transport_set_pull_function() under Windows, where the replacements may not have access to the same errno variable that is used by GnuTLS (e.g., the application is linked to msvcr71.dll and gnutls is linked to msvcrt.dll).

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/